org.richfaces.fragment.orderingList

## Class AbstractSelectableListItem

- java.lang.Object
- - org.richfaces.fragment.list.RichFacesListItem
  - - org.richfaces.fragment.orderingList.AbstractSelectableListItem

- All Implemented Interfaces:
    ListItem, SelectableListItem
  Direct Known Subclasses:
    DayPicker.CalendarDayImpl, RichFacesOrderingList.SelectableListItemImpl, RichFacesPickList.SelectableListItemImpl

      public abstract class AbstractSelectableListItem
      extends RichFacesListItem
      implements SelectableListItem

  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelectableListItem()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deselect()` Deselects this item.
    `protected abstract String` | `getStyleClassForSelectedItem()`
    `boolean` | `isSelected()` Finds out whether this item is selected.
    `void` | `select()` Selects item without deselecting others.
    `void` | `select(boolean deselectOthers)` Select item and deselect other items depending on @deselectOthers.

    - ### Methods inherited from class org.richfaces.fragment.list.RichFacesListItem

      `getRootElement, getText, isVisible, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListItem

      `getRootElement, getText`

- - ### Constructor Detail

    - #### AbstractSelectableListItem

          public AbstractSelectableListItem()

  - ### Method Detail

    - #### isSelected

          public boolean isSelected()

      Description copied from interface: `SelectableListItem`
      Finds out whether this item is selected.
      Specified by:
        `isSelected` in interface `SelectableListItem`
      Returns:
        `true` if this item is selected, `false` otherwise

    - #### getStyleClassForSelectedItem

          protected abstract String getStyleClassForSelectedItem()

    - #### select

          public void select()

      Description copied from interface: `SelectableListItem`
      Selects item without deselecting others.
      Specified by:
        `select` in interface `SelectableListItem`

    - #### select

          public void select(boolean deselectOthers)

      Description copied from interface: `SelectableListItem`
      Select item and deselect other items depending on @deselectOthers.
      Specified by:
        `select` in interface `SelectableListItem`
      Parameters:
        `deselectOthers` - if `true` other items will be unselected.

    - #### deselect

          public void deselect()

      Description copied from interface: `SelectableListItem`
      Deselects this item.
      Specified by:
        `deselect` in interface `SelectableListItem`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.